# $Revision: 1.32 $, $Date: 2012/01/28 07:46:58 $
Summary:	xinit application - X Window System initializer
Summary(pl.UTF-8):	Aplikacja xinit do uruchamiania X Window System
Name:		xorg-app-xinit
Version:	1.3.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xinit-%{version}.tar.bz2
# Source0-md5:	9c0943cbd83e489ad1b05221b97efd44
Source1:	startx.1x.it
Source2:	startx.1x.pl
Source3:	xinit.1x.it
Source4:	xinit.1x.pl
Patch0:		%{name}-xwrapper.patch
Patch1:		%{name}-consolekit-support.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	ConsoleKit-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xinitrc-ng
Requires:	xorg-app-xauth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xinit program is used to start the X Window System server and a
first client program on systems that cannot start X directly from init
or in environments that use multiple window systems. When this first
client exits, xinit will kill the X server and then terminate.

%description -l pl.UTF-8
Program xinit służy do uruchamiania serwera X Window System i
pierwszego programu klienckiego na systemach, które nie mogą uruchomić
X bezpośrednio z inita lub w środowiskach używających wielu systemów
okienkowych. Po zakończeniu pierwszego klienta xinit zabija serwer X i
kończy działanie.

%prep
%setup -q -n xinit-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-consolekit \
	--with-xinitdir=/etc/X11/xinit

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/it/man1/startx.1x
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man1/startx.1x
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/it/man1/xinit.1x
install -D %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/pl/man1/xinit.1x

%{__rm} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/startx
%attr(755,root,root) %{_bindir}/xinit
%{_mandir}/man1/startx.1x*
%{_mandir}/man1/xinit.1x*
%lang(it) %{_mandir}/it/man1/startx.1x*
%lang(it) %{_mandir}/it/man1/xinit.1x*
%lang(pl) %{_mandir}/pl/man1/startx.1x*
%lang(pl) %{_mandir}/pl/man1/xinit.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xinit.spec,v $
Revision 1.32  2012/01/28 07:46:58  arekm
- up to 1.3.2

Revision 1.31  2011/07/28 16:45:51  baggins
- rel 2
- drop xinitrc package, just require xinitrc-ng

Revision 1.30  2011/07/25 18:38:20  qboosh
- updated to 1.3.1

Revision 1.29  2010/10/31 10:18:23  qboosh
- updated to 1.3.0
- updated patches (ck functioning untested)

Revision 1.28  2010/05/27 07:30:11  qboosh
- util-macros version

Revision 1.27  2010/05/27 07:29:24  qboosh
- updated to 1.2.1
- removed obsolete xinitdir patch (pass --with-xinitdir instead)
- updated consolekit-support patch

Revision 1.26  2008/12/25 15:59:55  qboosh
- updated to 1.1.1

Revision 1.25  2008/06/12 20:09:25  arekm
- up to 1.1.0

Revision 1.24  2008-05-21 19:59:12  arekm
- up to 1.0.9

Revision 1.23  2008-04-15 14:49:58  glen
- -xinitrc package disabled, seems unfinished; rel 2

Revision 1.22  2008-03-08 01:33:04  qboosh
- updated to 1.0.8
- updated xwrapper patch

Revision 1.21  2007-12-23 12:00:55  megabajt
- added support for ConsoleKit (-consolekit-support.patch)
- release 2

Revision 1.20  2007-09-17 17:54:49  qboosh
- updated to 1.0.7

Revision 1.19  2007/09/15 17:26:20  qboosh
- updated to 1.0.6

Revision 1.18  2007/09/05 18:30:13  qboosh
- updated to 1.0.5

Revision 1.17  2007/05/23 18:18:15  qboosh
- updated to 1.0.4
- descs from man page, release 1

Revision 1.16  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2006/10/14 18:36:14  qboosh
- updated to 1.0.3
- added it,pl man pages from old XFree86/X11 packages

Revision 1.13  2006/08/23 18:46:00  havner
- separate subpackage with xinitrc script
- rel 0.3

Revision 1.12  2006/08/23 12:13:08  havner
- xinitdir patch
- dont pack default xinitrc, require external one instead
- rel 0.2

Revision 1.11  2006/04/02 09:29:57  arekm
- up to 1.0.2

Revision 1.10  2006/03/23 07:57:31  qboosh
- removed bogus libXdmcp dep

Revision 1.9  2006/03/16 20:51:28  czarny
- R: xorg-lib-libXdmcp

Revision 1.8  2006/03/09 17:25:28  adgor
- R xorg-app-xauth

Revision 1.7  2006/02/13 18:04:01  pluto
- Xwrapper patch updated.

Revision 1.6  2006/02/05 14:10:00  pluto
- Xwrapper from monolith.

Revision 1.5  2006/01/12 14:59:24  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.4  2005/12/13 15:12:40  qboosh
- 0.99.4 (X11R7.0-RC3)

Revision 1.3  2005/11/19 21:57:17  qboosh
- 0.99.3 (X11R7.0-RC2)

Revision 1.2  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.1  2005/10/22 07:50:29  qboosh
- new
